Page MenuHomePhabricator

Write an abstracted interface for queue send and receive
Closed, ResolvedPublic2 Story Points

Description

This should be a simple interface, for sending and receiving messages. Probably best if we wrap the commonly used selectors in methods, to decouple from the STOMP implementation.

Write DonationQueue shim around PHPQueue - https://gerrit.wikimedia.org/r/203280

Upstream issues

Note that we're not blocked by these, composer.json is pointing to my modified fork.

(MERGED) Straighten out FIFO vs key-value access. https://github.com/CoderKungfu/php-queue/issues/37
Add STOMP support, https://github.com/CoderKungfu/php-queue/issues/36
Decouple job queue from queue: https://github.com/CoderKungfu/php-queue/issues/39

Event Timeline

awight created this task.Mar 16 2015, 11:44 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 11:44 PM
awight added a parent task: Restricted Task.Mar 17 2015, 12:12 AM
atgo triaged this task as High priority.Mar 18 2015, 6:35 PM
atgo set Security to None.
atgo edited a custom field.
atgo moved this task from Backlog to no on the Fundraising Sprint Grandmaster Flash board.

Sadly, this library supports all the major queues from the last ten years... so no STOMP support. But for inspiration: https://github.com/CoderKungfu/php-queue

I'm considering using this library, and writing the STOMP backend.

I think I'll go for it. 2.7kloc and sort of recently maintained. Submitting the PR will be a good way to learn about project health :)

Change 198438 had a related patch set uploaded (by Awight):
WIP php-queue library

https://gerrit.wikimedia.org/r/198438

atgo assigned this task to awight.Mar 23 2015, 8:10 PM

Add basic STOMP support to the external library, https://github.com/CoderKungfu/php-queue/pull/38

awight updated the task description. (Show Details)Mar 27 2015, 9:26 PM
awight removed awight as the assignee of this task.Apr 9 2015, 12:04 AM

Unassigning, to signify that we're waiting on reviews from the library's maintainer.

Change 203280 had a related patch set uploaded (by Awight):
Write DonationQueue shim around PHPQueue

https://gerrit.wikimedia.org/r/203280

Change 198438 abandoned by Awight:
Require the php-queue library

https://gerrit.wikimedia.org/r/198438

awight updated the task description. (Show Details)Apr 12 2015, 2:31 AM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Apr 13 2015, 10:02 PM

Change 203280 merged by jenkins-bot:
Write DonationQueue shim around PHPQueue

https://gerrit.wikimedia.org/r/203280

Issue while deploying:

Submodule path 'extensions/DonationInterface/vendor': checked out '6405631ee4036ffd12c814e68eb0bc8fe3136ff4'
error: No submodule mapping found in .gitmodules for path 'coderkungfu/php-queue'
error: Failed to recurse into submodule path 'extensions/DonationInterface/vendor'
atgo assigned this task to awight.May 6 2015, 10:12 PM
awight closed this task as Resolved.May 6 2015, 10:13 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM